#!/bin/sh

set -e

if [ -f /usr/share/debconf/confmodule ];
then
  . /usr/share/debconf/confmodule
fi

case "${1}" in
purge)
  rm -rf /var/lib/anastasis/httpd/
  rm -f /etc/anastasis/override.conf
  deluser --system --quiet anastasis-httpd || true
  dpkg-statoverride --remove \
     /etc/anastasis/secrets/anastasis-db.secret.conf || true
  ;;
remove | upgrade | failed-upgrade | abort-install | abort-upgrade | disappear)
  ;;

  *)
  echo "postrm called with unknown argument \`${1}'" >&2
  exit 1
  ;;
esac

#DEBHELPER#

exit 0
